//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Hook into the mission editor.

function StaticShapeData::create(%data)
{
   // The mission editor invokes this method when it wants to create
   // an object of the given datablock type.
   %obj = new StaticShape() {
      dataBlock = %data;
   };
   return %obj;
}


function ExtraSoldierDB::onAdd(%data, %obj)
{
 
 echo("holy shit");  
 %obj.playThread(0,"root");
}


function StaticShapeData::onAdd(%data)
{
 
 echo("holy shit");  
}

function StaticShape::onAdd(%data)
{
 
 echo("holy shit");  
}






